Skip to main content
curl https://api.chargeapi.co/v1/drivers/drv_vL27I3mnfuAHP1tQLAlnAwpXLffDYGqI \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "drv_vL27I3mnfuAHP1tQLAlnAwpXLffDYGqI",
    "object": "driver",
    "created": "2026-04-01T00:07:57.986Z",
    "email": "example@example.com",
    "fleets": ["flt_iT7ncmj6jVrXL29ovsduO7AqNILxGstk"],
    "license_number": null,
    "metadata": {},
    "name": "Example Driver",
    "phone": null,
    "policy_ids": ["pol_T2LvzdAMQbFAPwr8t1nQaMeIssb8ZfbA"],
    "preferences": {
        "charging_speed": "fast",
        "currency": "eur",
        "default_payment_method": null,
        "max_price_per_kwh": null,
        "notifications": true,
        "preferred_charging_stations": ["chst_CAbiW1XL68kLj6gKAxb6N0MfQAo2Vo8Y"],
        "preferred_cpos": ["example_operator"]
    },
    "status": "active",
    "updated": "2026-04-01T01:07:53.659Z",
    "vehicles": ["veh_e1dH606K9tYiTGOLGCIhkqhOnFakiMde"],
    "wallet_balance": 1875
}
Retrieves a driver.
curl https://api.chargeapi.co/v1/drivers/drv_vL27I3mnfuAHP1tQLAlnAwpXLffDYGqI \
  -H "Authorization: Bearer ch_sk_test_..."
{
    "id": "drv_vL27I3mnfuAHP1tQLAlnAwpXLffDYGqI",
    "object": "driver",
    "created": "2026-04-01T00:07:57.986Z",
    "email": "example@example.com",
    "fleets": ["flt_iT7ncmj6jVrXL29ovsduO7AqNILxGstk"],
    "license_number": null,
    "metadata": {},
    "name": "Example Driver",
    "phone": null,
    "policy_ids": ["pol_T2LvzdAMQbFAPwr8t1nQaMeIssb8ZfbA"],
    "preferences": {
        "charging_speed": "fast",
        "currency": "eur",
        "default_payment_method": null,
        "max_price_per_kwh": null,
        "notifications": true,
        "preferred_charging_stations": ["chst_CAbiW1XL68kLj6gKAxb6N0MfQAo2Vo8Y"],
        "preferred_cpos": ["example_operator"]
    },
    "status": "active",
    "updated": "2026-04-01T01:07:53.659Z",
    "vehicles": ["veh_e1dH606K9tYiTGOLGCIhkqhOnFakiMde"],
    "wallet_balance": 1875
}

Parameters

No parameters.

Returns

Returns the driver.